LibreOffice: FilePicker Service Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
FilePicker Service Referencepublished

A FilePicker. More...

Inheritance diagram for FilePicker:

## Public Member Functions
| createWithMode ([in] short Mode)
| Provides the ability to choose between different custom templates that do extend the subset of common controls a FilePicker usually supports. More...
Public Member Functions inherited from XFilePicker2
sequence< string > | getSelectedFiles ()
| Returns a sequence of the selected files including path information in URL format, conforming to Rfc1738. More...
Public Member Functions inherited from XFilePicker
void | setMultiSelectionMode ([in] boolean bMode)
| Enable/disable multi-selection mode. More...
void | setDefaultName ([in] string aName)
| Sets the default string that appears in the file name box of a FilePicker. More...
void | setDisplayDirectory ([in] string aDirectory) raises ( ::com::sun::star::lang::IllegalArgumentException )
| Sets the directory that the file dialog initially displays. More...
string | getDisplayDirectory ()
| Returns the directory that the file dialog is currently showing or was last showing before closing the dialog with Ok. More...
sequence< string > | getFiles ()
| Returns a sequence of the selected files including path information in URL format, conforming to Rfc1738. More...
Public Member Functions inherited from XExecutableDialog
void | setTitle ([in] string aTitle)
| Sets the title of the dialog. More...
short | execute ()
| Executes (shows) the dialog. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XFilePickerNotifier
void | addFilePickerListener ([in] XFilePickerListener xListener)
| Interface for clients to register as XFilePickerListener. More...
void | removeFilePickerListener ([in] XFilePickerListener xListener)
| Interface for clients to unregister as XFilePickerListener. More...
Public Member Functions inherited from XFilterManager
void | appendFilter ([in] string aTitle, [in] string aFilter) raises ( ::com::sun::star::lang::IllegalArgumentException )
| Adds a filter identified by a title. More...
void | setCurrentFilter ([in] string aTitle) raises ( ::com::sun::star::lang::IllegalArgumentException )
| Sets the current filter. More...
string | getCurrentFilter ()
| Returns the currently selected filter. More...
Public Member Functions inherited from XFilterGroupManager
void | appendFilterGroup ([in] string sGroupTitle, [in] sequence< com::sun::star::beans::StringPair > aFilters) raises ( com::sun::star::lang::IllegalArgumentException )
| Appends a group of filters to the current filter list. More...
Public Member Functions inherited from XCancellable
void | cancel ()
| cancels the current job of the object. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...

## Additional Inherited Members
Exported Interfaces inherited from XFilePicker3
interface | XFilePicker2
interface | XFilePickerNotifier
| Provides the ability to request notifications about changes. More...
interface | XFilterManager
| Provides the ability to add different filter, query for the current filters and set a current filter. More...
interface | XFilePreview
| Provides the ability to show a preview of a selected file. More...
interface | XFilterGroupManager
| An interface which allows manipulation of groups of filters. More...
interface | com::sun::star::util::XCancellable
| For canceling a running dialog instance. More...
interface | com::sun::star::lang::XComponent
| For shutdown and listener support. More...
Protected Member Functions inherited from XFilePreview
sequence< short > | getSupportedImageFormats ()
| The method returns all image formats that the preview supports. More...
com::sun::star::util::Color | getTargetColorDepth ()
| The method returns the supported color depth of the target device. More...
long | getAvailableWidth ()
| The method returns the available width of the preview window even if the window is invisible or could not be created. More...
long | getAvailableHeight ()
| The method returns the available height of the preview window even if the window is invisible or could not be created. More...
void | setImage ([in] short aImageFormat, [in] any aImage) raises ( ::com::sun::star::lang::IllegalArgumentException )
| Sets a new image. More...
boolean | setShowState ([in] boolean bShowState)
| Optionally sets the current show state of the preview. More...
boolean | getShowState ()
| Returns the current show state of the preview. More...
Protected Member Functions inherited from XFilterGroupManager
void | appendFilterGroup ([in] string sGroupTitle, [in] sequence< com::sun::star::beans::StringPair > aFilters) raises ( com::sun::star::lang::IllegalArgumentException )
| Appends a group of filters to the current filter list. More...
Protected Member Functions inherited from XCancellable
void | cancel ()
| cancels the current job of the object. More...
Protected Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...

## Detailed Description

A FilePicker.

It is NOT recommended to cache a reference to a file picker instance. Due to restrictions by the underlying system there can be specific limitations possible. To overcome these problems it's recommended to create a new instance on demand.

See also
  XFilePicker

## Member Function Documentation

## ◆ createWithMode()

createWithMode | ( | [in] short | Mode | ) |

Provides the ability to choose between different custom templates that do extend the subset of common controls a FilePicker usually supports.

Implementers may omit this interface if the FileOpen dialog doesn't support custom templates. In this case a createInstance will create an ordinary FileOpen dialog with only the common FilePicker elements. The client has to provide one of the specified constants in TemplateDescription.

Notes for the implementation of a FileSave dialog: The implementation of a FileSave dialog should automatically check for existence of a file and issue a warning if a file with the same name already exist.

Note that when creating a file picker, the top window is selected as the parent window for the file picker. Make sure that it does not get closed while opening the file picker, as there is a potential race.

See also
  com::sun::star::ui::dialogs::TemplateDescription

The documentation for this service was generated from the following file:

- com/sun/star/ui/dialogs/FilePicker.idl